Bug 115012 - Kdeinit crashes and core dumps
Kdeinit crashes and core dumps
Status: CLOSED DUPLICATE of bug 132999
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
1
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
http://www.crc.dcc.ufmg.br/~pmacedo/f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-05 10:26 EST by Pedro Fernandes Macedo
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-09 06:24:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pedro Fernandes Macedo 2004-02-05 10:26:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
I've had this problem already three times with two different machines
running Fedora Core 1, all upgrades installed. 
kdeinit crashes and starts to dump cores and does it untill all the
disk space is gone... 
This happened with a machine using kernel 2.4.22-1.2145.nptl and
2.4.22-1.2166.nptl.

I'm attaching a core dump of two of the crashes.
I've set the severity to high , as it disrupts backups and system
services.

Version-Release number of selected component (if applicable):
kdelibs-3.1.4-4

How reproducible:
Couldn't Reproduce


Expected Results:  kdeinit should terminate and not core dump..

Additional info:
Comment 1 tracy smith 2004-04-21 20:16:13 EDT
I have the same problem.  I'm running 2.4.22-1.2115.nptlsmp and when 
I leave kde and try to stop the machine or reboot, my home directory 
fills up with cores continuously.  If I let it go, it would fill the 
whole disk.  This also happens if I tell the machine to shut down or
reboot from within kde.  The only way I have found to stop this is to 
actually power down the machine (a hard reset).  yuck.
Comment 2 tracy smith 2004-04-21 20:16:49 EDT
This happens *every* time I reboot.
Comment 3 Ngo Than 2004-04-22 08:34:52 EDT
strange, i cannot reproduce this problem with FC1. it works for me

could you please give more details about your configuration (like home
over NFS ...)

and a test case how i can produce this problem. Thanks

Does it work with a new user (create a new use with adduser, login as
new user and start KDE) ?
Comment 4 Pedro Fernandes Macedo 2004-04-23 15:41:25 EDT
homes are mounted from a redhat 9 server using nfs. 
For me , it was very rare to have this bug happening (happened two
times since I installed FC). now I dont have access to the machine ,
but I believe that tracy could test it , since this problem happens
after every reboot as mentioned on comment #2....
Comment 5 Ngo Than 2004-07-19 07:00:10 EDT
could you please try FC2. Does this problem still appear? 
Comment 6 Pedro Fernandes Macedo 2004-07-19 10:16:54 EDT
on fc2 I havent seen this problem happen, mainly because this machine
I use dont have a nfs mounted home. 
now only tracy can tell us if she still sees this problem , as it
always happened to her... 
Comment 7 Bill Heiden 2004-08-04 23:00:13 EDT
 I'm experiencing the same problem using RH 3.0-e.  In this case we 
are having problems with the root login. After exiting from a root 
kde session, kdeinit will still be running and generating thousands 
of cores until / is filled up.  This problem does not happen with any 
other account, even though our user accounts are NFS mounted.  This 
very frustrating, since it is preventing our rollout of RH v3.0.  Any 
suggestions would be greatly appreciated.  
Comment 8 Bill Heiden 2004-08-09 22:09:23 EDT
 This appears to only be a problem for us under RH 3.0-e.  Under RH 
v9.0, I can see that kdeinit is successfully closing after logging 
out.  Any pointers to making sure kdeinit closes would be greatly 
appreciated.
Comment 9 Matthew Miller 2006-07-11 13:36:50 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 10 Ngo Than 2006-08-09 06:24:32 EDT

*** This bug has been marked as a duplicate of 132999 ***

Note You need to log in before you can comment on or make changes to this bug.